Name:                jackson-dataformat-xml
Version:             2.9.8
Release:             1
Summary:             Jackson extension component for reading and writing XML encoded data
License:             ASL 2.0
URL:                 https://github.com/FasterXML/jackson-dataformat-xml
Source0:             https://github.com/FasterXML/jackson-dataformat-xml/archive/%{name}-%{version}.tar.gz
BuildRequires:       maven-local mvn(com.fasterxml.jackson.core:jackson-annotations) >= %{version}
BuildRequires:       mvn(com.fasterxml.jackson.core:jackson-core) >= %{version}
BuildRequires:       mvn(com.fasterxml.jackson.core:jackson-databind) >= %{version}
BuildRequires:       mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires:       mvn(com.fasterxml.jackson.module:jackson-module-jaxb-annotations)
BuildRequires:       mvn(com.fasterxml.woodstox:woodstox-core)
BuildRequires:       mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:       mvn(javax.xml.bind:jaxb-api) mvn(junit:junit)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin) mvn(org.codehaus.woodstox:stax2-api)
BuildArch:           noarch
%description
Data format extension for Jackson (http://jackson.codehaus.org)
to offer alternative support for serializing POJOs as XML and
deserializing XML as POJOs. Support implemented on top of Stax API
(javax.xml.stream), by implementing core Jackson Streaming API types
like JsonGenerator, JsonParser and JsonFactory. Some data-binding types
overridden as well (ObjectMapper sub-classed as XmlMapper).

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
cp -p src/main/resources/META-INF/LICENSE .
cp -p src/main/resources/META-INF/NOTICE .
sed -i 's/\r//' LICENSE NOTICE
%pom_remove_dep "javax.xml.stream:stax-api"
%mvn_file ":{*}" jackson-dataformats/@1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sat Aug 15 2020 Ge Wang <wangge20@huawei.com> - 2.9.8-1
- Package init
